org.hibernate.search.elasticsearch.client.impl

## Class DefaultElasticsearchClientFactory

- java.lang.Object
- - org.hibernate.search.elasticsearch.client.impl.DefaultElasticsearchClientFactory

- All Implemented Interfaces:
    ElasticsearchClientFactory, Service, Startable, Stoppable

      public class DefaultElasticsearchClientFactory
      extends Object
      implements ElasticsearchClientFactory, Startable, Stoppable

  Author:
    Gunnar Morling, Yoann Rodiere

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultElasticsearchClientFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ElasticsearchClientImplementor` | `create(Properties properties)`
    `void` | `start(Properties properties, BuildContext context)` Start phase notification.
    `void` | `stop()` Stop phase notification

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultElasticsearchClientFactory

          public DefaultElasticsearchClientFactory()

  - ### Method Detail

    - #### start

          public void start(Properties properties,
                            BuildContext context)

      Description copied from interface: `Startable`
      Start phase notification.
      Specified by:
        `start` in interface `Startable`
      Parameters:
        `properties` - the configuration properties
        `context` - the current context instance

    - #### stop

          public void stop()

      Description copied from interface: `Stoppable`
      Stop phase notification
      Specified by:
        `stop` in interface `Stoppable`

    - #### create

          public ElasticsearchClientImplementor create(Properties properties)

      Specified by:
        `create` in interface `ElasticsearchClientFactory`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved